-- ZB_DM_QDBF_CAR/ZB_DM_车险今日签单保费
-- key:allcarqbbf/日期
-- 1、日期:核保日期或者核批完成日期(yyyyMMdd)
-- 2、车险

-- step1：
-- 团队汇总
CREATE TEMPORARY VIEW VIEW_ZB_DM_QDBF_CAR_TUANDUI AS
SELECT
     s1.`uwConclueDate`                    as `uwConclueDate`
    ,s1.`LEVEL1COMCODE`                    as `LEVEL1COMCODE`
    ,s1.`LEVEL2COMCODE`                    as `LEVEL2COMCODE`
    ,s1.`LEVEL3COMCODE`                    as `LEVEL3COMCODE`
    ,s1.`LEVEL4COMCODE`                    as `LEVEL4COMCODE`
    ,s1.`risk`                             as `risk`
    ,sum(cast(s1.`cost` as DECIMAL(18,2))) as `cost`
from (
         select
             *
              ,ROW_NUMBER() OVER(PARTITION BY `no`,`COMCODE`,`cost` ORDER BY `uwConclueDate` DESC) as rownum
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA
         where
             `COMNAME` is not null
           and `uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
     ) s1
where s1.rownum = 1
group by
    s1.`uwConclueDate`
    ,s1.`LEVEL1COMCODE`
    ,s1.`LEVEL2COMCODE`
    ,s1.`LEVEL3COMCODE`
    ,s1.`LEVEL4COMCODE`
    ,s1.`risk`
;


-- ZB_DM_QDBF_CAR/ZB_DM_车险今日签单保费
-- key:allcarqbbf/日期
-- 1、日期:核保日期或者核批完成日期(yyyyMMdd)
-- 2、车险

--  总公司
insert into ZB_DM.ZB_DM_REDIS.SET_DECIMAL
select
    CONCAT(
        'allcarqdbf/'
        ,s1.`uwConclueDate`
    )                                       as `key`
    ,sum(cast(s1.`cost` as DECIMAL(18,2)))  as `val`
from VIEW_ZB_DM_QDBF_CAR_TUANDUI s1
where left(s1.risk,2) ='05'
group by
    s1.`uwConclueDate`
;

-- 分公司
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT(
        'provcarqdbf/'
        ,s1.`uwConclueDate`
    )                                       as `key`
    ,s1.`LEVEL1COMCODE`                     as `hkey`
    ,sum(cast(s1.`cost` as DECIMAL(18,2)))  as `val`
from VIEW_ZB_DM_QDBF_CAR_TUANDUI s1
where left(s1.risk,2) ='05'
group by
     s1.`uwConclueDate`
    ,s1.`LEVEL1COMCODE`
;

-- 中支
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT(
            'citycarqdbf/'
        ,s1.`uwConclueDate`
        )                                    as `key`
     ,s1.`LEVEL2COMCODE`                     as `hkey`
     ,sum(cast(s1.`cost` as DECIMAL(18,2)))  as `val`
from VIEW_ZB_DM_QDBF_CAR_TUANDUI s1
where left(s1.risk,2) ='05'
group by
    s1.`uwConclueDate`
    ,s1.`LEVEL2COMCODE`
;


-- 县支
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT(
            'countycarqdbf/'
        ,s1.`uwConclueDate`
        )                                    as `key`
     ,s1.`LEVEL3COMCODE`                     as `hkey`
     ,sum(cast(s1.`cost` as DECIMAL(18,2)))  as `val`
from VIEW_ZB_DM_QDBF_CAR_TUANDUI s1
where left(s1.risk,2) ='05'
group by
    s1.`uwConclueDate`
    ,s1.`LEVEL3COMCODE`
;


-- 团队
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT(
            'teamcarqdbf/'
        ,s1.`uwConclueDate`
        )                                as `key`
     ,s1.`LEVEL4COMCODE`                 as `hkey`
     ,cast(s1.`cost` as DECIMAL(18,2))   as `val`
from VIEW_ZB_DM_QDBF_CAR_TUANDUI s1
where left(s1.risk,2) ='05'

;